<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    exclude-result-prefixes="xhtml">

<xsl:output method="html"
            version="4.0"
            encoding="iso-8859-1"
            doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"
            indent="no"/>


<xsl:param name="cssBase" select="'forms/styles/'"/>
<xsl:param name="cssFiles" select="'xforms,standard'"/>

<xsl:param name="cssBase2" select="'media/'"/>
<xsl:param name="cssFiles2" select="'wlh'"/>


    <!-- ######################################################################################################## -->
    <!-- Transforms one html to another html with added links to css in head tag.																	-->
    <!-- Param "cssFiles" contains names(comma separated) of css files for which links should be added.						-->
    <!-- ######################################################################################################## -->

    <xsl:template match="*">
				<xsl:copy-of select="."/>
	  </xsl:template>

<!-- html -->
    <xsl:template match="html">

        <html>
            	<xsl:apply-templates/>
        </html>
    </xsl:template>
    
    <xsl:template match="HTML">

        <html>
            	<xsl:apply-templates/>
        </html>
    </xsl:template>

 
<!-- head -->
    <xsl:template match="head">

				<xsl:copy>

    		<xsl:apply-templates/>
 
						<xsl:call-template name="cssLinks">
							<xsl:with-param name="cssBaseName" select="$cssBase"/>
							<xsl:with-param name="cssList" select="$cssFiles"/>
						</xsl:call-template>		

						<xsl:call-template name="cssLinks">
							<xsl:with-param name="cssBaseName" select="$cssBase2"/>
							<xsl:with-param name="cssList" select="$cssFiles2"/>
						</xsl:call-template>		

				</xsl:copy>
		
		</xsl:template>
		
		<xsl:template match="HEAD">

				<xsl:copy>

    		<xsl:apply-templates/>
 
						<xsl:call-template name="cssLinks">
							<xsl:with-param name="cssBaseName" select="$cssBase"/>
							<xsl:with-param name="cssList" select="$cssFiles"/>
						</xsl:call-template>		

						<xsl:call-template name="cssLinks">
							<xsl:with-param name="cssBaseName" select="$cssBase2"/>
							<xsl:with-param name="cssList" select="$cssFiles2"/>
						</xsl:call-template>		

				</xsl:copy>
		
		</xsl:template>

		<xsl:template name="cssLinks">
				<xsl:param name="cssList"/>
				<xsl:param name="cssBaseName"/>			
					
				<xsl:choose>
					
					<xsl:when test="contains($cssList,',')">
							<xsl:variable name="cssName" select="substring-before($cssList,',')"/>
	
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBaseName"/><xsl:value-of select="$cssName"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
	
							<xsl:call-template name="cssLinks">
		              <xsl:with-param name="cssList" select="substring-after($cssList,',')" />
		              <xsl:with-param name="cssBaseName" select="$cssBaseName" />
							</xsl:call-template>
											
					</xsl:when>
					
					<xsl:otherwise>
						<xsl:if test="$cssList != ''">
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBaseName"/><xsl:value-of select="$cssList"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
							
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
		</xsl:template>


</xsl:stylesheet>

